SFML - Simple and Fast Multimedia Library

SFML 2.6.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Static Public Member Functions | List of all members
sf::Vulkan Class Reference
Window module

Vulkan helper functions. More...

`#include <SFML/Window/Vulkan.hpp>`

## Static Public Member Functions
static bool | isAvailable (bool requireGraphics=true)
| Tell whether or not the system supports Vulkan.
static VulkanFunctionPointer | getFunction (const char *name)
| Get the address of a Vulkan function.
static const std::vector< const char * > & | getGraphicsRequiredInstanceExtensions ()
| Get Vulkan instance extensions required for graphics.

## Detailed Description

Vulkan helper functions.

Definition at line 62 of file Vulkan.hpp.

## Member Function Documentation

## ◆ getFunction()

static VulkanFunctionPointer sf::Vulkan::getFunction | ( | const char * | name | ) |
| static

Get the address of a Vulkan function.

Parameters

  name | Name of the function to get the address of

Returns
  Address of the Vulkan function, 0 on failure

## ◆ getGraphicsRequiredInstanceExtensions()

static const std::vector< const char * > & sf::Vulkan::getGraphicsRequiredInstanceExtensions | ( |  | ) |
| static

Get Vulkan instance extensions required for graphics.

Returns
  Vulkan instance extensions required for graphics

## ◆ isAvailable()

static bool sf::Vulkan::isAvailable | ( | bool | requireGraphics = `true` | ) |
| static

Tell whether or not the system supports Vulkan.

This function should always be called before using the Vulkan features. If it returns false, then any attempt to use Vulkan will fail.

If only compute is required, set requireGraphics to false to skip checking for the extensions necessary for graphics rendering.

Parameters

  requireGraphics |

Returns
  True if Vulkan is supported, false otherwise

The documentation for this class was generated from the following file:

- Vulkan.hpp